Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.labels
Class StandardContourToolTipGenerator

    java.lang.Object
      org.jfree.chart.labels.StandardContourToolTipGenerator

All Implemented Interfaces:
  ContourToolTipGenerator, java.io.Serializable

public class StandardContourToolTipGenerator
extends java.lang.Object
implements ContourToolTipGenerator, java.io.Serializable

A standard tooltip generator for plots that use data from an `ContourDataset`.

Author:
  David M. O'Donnell
See Also:
  Serialized Form

Constructor Summary
`StandardContourToolTipGenerator()`

Method Summary
`boolean` | `equals(java.lang.Object o)` Tests if this object is equal to another.
`java.lang.String` | `generateToolTip(ContourDataset data, int item)` Generates a tooltip text item for a particular item within a series.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardContourToolTipGenerator

    public StandardContourToolTipGenerator()

Method Detail

### generateToolTip

    public java.lang.String generateToolTip(ContourDataset data,
                                            int item)

  Generates a tooltip text item for a particular item within a series.

  Specified by:
    `generateToolTip` in interface `ContourToolTipGenerator`
  Parameters:
    `data` - the dataset.
    `item` - the item index (zero-based).
  Returns:
    The tooltip text.

### equals

    public boolean equals(java.lang.Object o)

  Tests if this object is equal to another.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD